﻿:root {
    --sidebarmenucolor: #e7e6e6;
    --activecolor: #074368;
    --menucolor: #074368; /*Deep Blue Color*/
    --primarycolor: #0988b3; /*Pale Blue Color*/
}
.found {
    font-weight: bold;
    color: var(--menucolor);
}
.page {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main {
    flex: 1;
}

.sidebar {
    background-color: var(--primarycolor);
    position: fixed;
}

.table > thead {
    color: white;
}

.top-row {
    justify-content: flex-end;
    display: flex;
    align-items: center;
}

    .top-row ::deep a, .top-row .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width:1300px) {
    /*start new responsive*/
    .sidebar {
        position: relative;
    }

    .main {
        width: 97vw;
        margin-left: 0 !important;
    }

    .bgTopBar {
        position: relative !important;
        width: 97vw;
    }

    .bgTopCorner {
        padding: 1rem 1rem 1rem 2rem;
    }
    .content {
        width: 97vw;
        margin-top: 1.5rem;
    }
    /*end new responsive*/
}

@media (max-width: 640.98px) {
    /*.top-row:not(.auth) {
        display: none;
    }*/

    .top-row.auth {
        justify-content: space-between;
    }

    .top-row a, .top-row .btn-link {
        margin-left: 0;
    }
}



@media (min-width: 1300px) {
    .page {
        flex-direction: row;
    }

    .sidebar {
        width: 7rem;
        /*height: 60rem;*/
        height: 100vh;
        position: fixed;
        top: 0;
    }

    .top-row {
        position: relative;
        top: 0;
        z-index: 1;
    }

    .top-row, article {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

@media (min-width:1700px) {
    .sidebar {
        height: 100vh;
    }
}

/* Tooltip container */
.tooltipitem {
    position: relative;
        display: inline-block;
        border-bottom: 1px dotted black;  /*Add dots under the hoverable text*/ 
    cursor: pointer;
}
/* Tooltip text */
.tooltipitemtext {
    visibility: hidden;
    width: 400px;
    background-color: var(--menucolor);
    color: #ffffff;
    text-align: center;
    border-radius: 1rem;
    padding: 1rem 0.5rem;
    position: absolute;
    z-index: 1;
    bottom: 4rem;
    left: 50%;
    margin-left: -9rem;
}
    .tooltipitemtext:before,
    .tooltipitemtext:before {
        visibility: hidden !important;
    }
    .tooltipitemtext:after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: var(--menucolor) transparent transparent transparent;
    }

/* Show the tooltip text on hover */
.tooltipitem:hover .tooltipitemtext {
    visibility: visible !important;
}
